schema_version: runtime-work-registration-coverage-matrix-v1
chunk: "000260"
generated_at: "2026-05-18T19:41:00.000Z"
source: runtime-work-registration-coverage-expansion
core_rule: "No meaningful Runtime/Codex workflow work should happen unnoticed."
enforcement_notes:
  - "Automatic Runtime work-registration wrappers are serialized through .tmp/runtime-work-session/automatic-work.lock so concurrent validation/summary/maintenance commands cannot overwrite the singleton current work-session mid-command."
  - "Starting a new Runtime work session now stale-terminalizes any displaced active/stale singleton session and current step, preventing abandoned active UI indicators."
  - "Runtime State Journal writes and compaction are serialized through .tmp/runtime-state-journal/events.lock after chunk validation exposed duplicate/out-of-order journal sequences under concurrent work-step producers."
  - "Close-gate stress smoke is available at node ai/runtime/dist/cli.js testing work-registration-concurrency-smoke --chunk 000260 --json and proved near-concurrent summary/governance/carry-forward validation producers do not corrupt journal sequence order or leave misleading active work state."
coverage:
  - command_or_surface: "node ai/runtime/dist/cli.js validation run|profile"
    role: Runtime Executor
    status: auto_registered_existing
    source_action: runtime.validation_runner
    evidence: "withValidationWork starts and terminalizes automatic required work."
  - command_or_surface: "node ai/runtime/dist/cli.js summary validate"
    role: Runtime Executor
    status: auto_registered_added_000260
    source_action: runtime.summary_validate
    evidence: "validateRunSummaryForChunk is wrapped by automatic Runtime work registration."
  - command_or_surface: "node ai/runtime/dist/cli.js validate-governance"
    role: Runtime Executor
    status: auto_registered_added_000260
    source_action: runtime.validate_governance
    evidence: "validateGovernance is wrapped by automatic Runtime work registration."
  - command_or_surface: "node ai/runtime/dist/cli.js testing runtime-broad-tests|runtime-daemon-tests"
    role: Runtime Executor
    status: auto_registered_enriched_000260
    source_action: runtime.testing.runtime_tests
    evidence: "bounded Runtime test wrapper already registered work; 000260 added origin/reason/source_action/required_registration metadata."
  - command_or_surface: "node ai/runtime/dist/cli.js testing backend-specs"
    role: Runtime Executor
    status: auto_registered_enriched_000260
    source_action: runtime.testing.backend_specs
    evidence: "workspace spec wrapper already registered work; 000260 added required metadata."
  - command_or_surface: "node ai/runtime/dist/cli.js testing frontend-specs"
    role: Runtime Executor
    status: auto_registered_enriched_000260
    source_action: runtime.testing.frontend_specs
    evidence: "workspace spec wrapper already registered work; 000260 added required metadata."
  - command_or_surface: "node ai/runtime/dist/cli.js testing runtime-action-panel-browser-smoke"
    role: Runtime Executor
    status: auto_registered_enriched_000260
    source_action: runtime.testing.browser_smoke
    evidence: "browser proof wrapper registers session/step, heartbeats, and terminalizes; 000260 aligned role/type/metadata."
  - command_or_surface: "node ai/runtime/dist/cli.js testing work-registration-concurrency-smoke"
    role: Runtime Executor
    status: added_000260_close_gate
    source_action: runtime.testing.work_registration_concurrency_smoke
    evidence: "close-gate smoke runs summary validation and governance validators near-concurrently, then verifies journal order, work history, current session, and Runtime Health work projection invariants."
  - command_or_surface: "node ai/runtime/dist/cli.js supervisor request/wait/run-once"
    role: Runtime Supervisor
    status: auto_registered_enriched_000260
    source_action: runtime.supervisor_action
    evidence: "typed supervisor action execution registers and terminalizes work; 000260 added required metadata."
  - command_or_surface: "node ai/runtime/dist/cli.js audit archive-execute"
    role: Runtime Executor
    status: auto_registered_added_000260
    source_action: runtime.audit_archive_execute
    evidence: "bounded maintenance archive execution is wrapped by automatic Runtime work registration."
  - command_or_surface: "node ai/runtime/dist/cli.js timeline archive-execute"
    role: Runtime Executor
    status: auto_registered_added_000260
    source_action: runtime.timeline_archive_execute
    evidence: "bounded maintenance archive execution is wrapped by automatic Runtime work registration."
  - command_or_surface: "QA review/evidence path"
    role: QA
    status: manual_or_ad_hoc_required_remaining
    source_action: qa.review
    evidence: "No single typed QA review executor exists yet; required registration validation remains policy-backed."
  - command_or_surface: "dispatcher close/commit execution"
    role: Dispatcher
    status: not_changed_authority_sensitive
    source_action: dispatcher_execution
    evidence: "Not expanded in 000260 to avoid changing close/commit or approval authority."
remaining_cfd_0011_scope:
  - "Add auto-registration to any future typed QA review executor once it exists."
  - "Consider dispatcher-path registration only inside canonical dispatcher execution without changing authority."
  - "Add per-role concurrent active-step projection only if operators need simultaneous role detail beyond current Runtime work-session."
